//! Deploy to the Hadean cloud.

extern crate libc;

use std::fs::File;
use std::io::Read;

extern {
	fn HDeploy(bin: *const libc::c_void, len: libc::size_t);
}

fn main() {
	let mut data = Vec::new();
	let mut f = File::open("target/x86_64-unknown-linux-musl/debug/hadean-examples").unwrap();
	f.read_to_end(&mut data).unwrap();
	unsafe{HDeploy(data.as_ptr() as *const _, data.len())};
}
