# Deploy to Hadean

Hadean is a new kind of cloud for infinitely-scalable deterministic Rust and C programs that spans AWS, GCE and Azure. This repository provides the **`deploy`** subcommand for **`cargo`**.

[![crates.io](http://meritbadge.herokuapp.com/cargo-deploy)](https://crates.io/crates/cargo-deploy)

## Installation

##### `cargo install cargo-deploy`

## Usage

##### `cargo deploy`

## Example

<pre>
<b>$ cargo run</b>
[Output of your program]
<b>$ cargo deploy</b>
[Output of your program while running on the Hadean cloud]
</pre>

## License

Licensed under either of

 * Apache License, Version 2.0, [LICENSE-APACHE](LICENSE-APACHE.txt)
 * MIT license, [LICENSE-MIT](LICENSE-MIT.txt)

at your option.

### Contribution

Unless you explicitly state otherwise, any contribution intentionally submitted for inclusion in the work by you, as defined in the Apache-2.0 license, shall be dual licensed as above, without any additional terms or conditions.
